Loading...
Searching...
No Matches
coap_tcp_internal.h File Reference

CoAP TCP internal information. More...

`#include "coap_internal.h"`
`#include "coap_io.h"`
Include dependency graph for coap_tcp_internal.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | coap_socket_connect_tcp1 (coap_socket_t *sock, const coap_address_t *local_if, const coap_address_t *server, int default_port, coap_address_t *local_addr, coap_address_t *remote_addr)
| Create a new TCP socket and initiate the connection.
int | coap_socket_connect_tcp2 (coap_socket_t *sock, coap_address_t *local_addr, coap_address_t *remote_addr)
| Complete the TCP Connection.
int | coap_socket_bind_tcp (coap_socket_t *sock, const coap_address_t *listen_addr, coap_address_t *bound_addr)
| Create a new TCP socket and then listen for new incoming TCP sessions.
int | coap_socket_accept_tcp (coap_socket_t *server, coap_socket_t *new_client, coap_address_t *local_addr, coap_address_t *remote_addr)
| Accept a new incoming TCP session.

## Detailed Description

CoAP TCP internal information.

Definition in file coap_tcp_internal.h.